{% extends 'base.html' %}
{% block content %}
<div class="container">
    <div class="row">
        <div class="col-12 col-md-8">
            <h2>Producto: "{{prod.name}}"</h2>
        </div>
        <div class="col-12 col-md-4 text-md-right">
            <a href="/shoppinglist/{{slist.id}}" class="btn btn-sm btn-danger fas fa-angle-left" role="button"> Volver</a>
        </div>
        <div class="col-12">
                <hr>
            </div>
            <div class="col-12 col-md-6 lilbitofmargin">
                <form action="/shoppinglist/{{slist.id}}/product/edit/{{prod.id}}/save/" method="POST">
                    {% csrf_token %}
                    <input type="text" name="name" id="name" autofocus required class="form-control" value="{{prod.name}}">
    
            </div>
            <div class="col-12 col-md-3 lilbitofmargin">
                <input type="number" name="budgetedcost" id="budgetedcost" required class="form-control" value="{{prod.budgetedcost}}">
            </div>
            <div class="col-12 col-md-3 lilbitofmargin">
                <input type="number" name="realcost" id="realcost" required class="form-control" value="{{prod.realcost}}">
            </div>
            <div class="col-12 col-md-6 lilbitofmargin">
                    <select name="shop" id="shop" required class="form-control">
                            {% for x in shops %}
                            <option value="{{x.id}}" {% if prod.shop_id == x.id %} selected {% endif %}>{{x.name}}</option>
                            {% endfor %}
                        </select>
            </div>
            <div class="col-12 col-md-6 lilbitofmargin">
                <input type="text" name="notes" id="notes" placeholder="Notas" required class="form-control" value="{{prod.notes}}">
            </div>
            <div class="col-6 col-md-9"></div>
            <div class="col-6 col-md-3 lilbitofmargin">
                <input type="submit" value="Guardar" class="btn btn-block btn-primary">
                </form>
            </div>
    </div>
</div>

<!--
<form action="/shoppinglist/{{slist.id}}/product/edit/{{prod.id}}/save/" method="POST">
    {% csrf_token %}
    <input type="text" name="name" id="name" placeholder="Nombre nuevo producto" value="{{prod.name}}" autofocus>
    <input type="number" name="budgetedcost" id="budgetedcost" placeholder="Costo estimado" value="{{prod.budgetedcost}}">
    <input type="number" name="realcost" id="realcost" placeholder="Costo real" value="{{prod.realcost}}">
    <select name="shop" id="shop">
            {% for x in shops %}
            <option value="{{x.id}}" {% if prod.shop_id == x.id %} selected {% endif %}>{{x.name}}</option>
            {% endfor %}
        </select>
    <input type="text" name="notes" id="notes" placeholder="Notas" value="{{prod.notes}}">
    <input type="submit" value="Guardar">
</form>
-->
{% endblock %}